Skip To Search Skip To Main Content

Legacy Haptic Device Drivers

The haptic device drivers for the currently shipping versions of haptic devices to be used with OpenHaptics and Geomagic modeling software are available below for download. Select the appropriate file from the tables below and then follow these steps:

  1. Remove the previously installed Phantom Device Driver or Geomagic Touch Device Driver from Control Panel, if any.
  2. ​Download the .exe or .zip file to your computer.
  3. (for .zip files) Unzip the file.
  4. Run .exe file.

Note:
1. Only one driver can be installed on a computer.

2. All of the listed Windows based Phantom Device Drivers (PDD) support all parallel port & FireWire interface-based PHANTOM devices. Geomagic Touch Device Drivers (GTDD) support Ethernet & USB interface-based Touch devices.

Phantom Device Driver (PDD) installation guide

Geomagic Touch Device Driver (GTDD) installation guide


Geomagic Sculpt

v2017

GTDD v2016.10.13:

for Ethernet Geomagic Touch devices or USB Touch 3D Stylus (Interface:   )

OS: 7/8/10 (64-bit)


 

v2016

GTDD v2016.10.13:

for Ethernet Geomagic Touch devices or USB Touch 3D Stylus (Interface:   )

OS: 7/8/10 (64-bit)


 

v2015

GTDD v2016.1.1:

for Ethernet Geomagic Touch devices or USB Touch 3D Stylus (Interface:   )

OS: 7/8 (32-bit & 64-bit)


 

v2014.3

GTDD v2014.20:

for Ethernet Geomagic Touch devices or USB Touch 3D Stylus (Interface:   )

OS: 7/8 (32-bit & 64-bit)

 
 

 

Geomagic Freeform & Geomagic Freeform Plus

v2017 GTDD v2016.10.13:

for Ethernet Geomagic Touch devices or USB Touch 3D Stylus (Interface:   )

OS: 7/8/10 (64-bit)

 
PDD v5.1.9:

for Firewire or Parallel devices (Interface:   )

OS: 7/8/10 (64-bit) See important note for firewire devices*
v2016 GTDD v2016.10.13:

for Ethernet Geomagic Touch devices or USB Touch 3D Stylus (Interface:   )

OS: 7/8/10 (64-bit)

 
PDD v5.1.9:

for Firewire or Parallel devices (Interface:   )

OS: 7/8/10 (64-bit) See important note for firewire devices*
v2015 GTDD v2014.20:

for Ethernet Geomagic Touch devices or USB Touch 3D Stylus (Interface:   )

OS: 7/8 (32 bit & 64-bit)

 
PDD v5.1.9:

for Firewire or Parallel devices (Interface:   )

OS: XP/7 (32-bit) and XP/7/8 (64-bit) See important note for firewire devices*
v2014 GTDD v2014.2:

for Ethernet Geomagic Touch devices only (Interface: )

OS: XP/7 (32-bit) and XP/7/8 (64-bit)
PDD v5.1.9:

for Firewire or Parallel devices (Interface:   )
 
OS: XP/7 (32-bit) and XP/7/8 (64-bit) See important note for firewire devices*
v2013 & v12 PDD v5.1.7:

for Firewire or Parallel devices (Interface:   )
 
OS: XP/Vista/7 (32 bit & 64 bit)
v10 & v11 PDD v4.2.131:

for Firewire or Parallel devices (Interface:   )
 
OS: XP/Vista/7 (32 bit & 64 bit)


 

Geomagic Claytools

v2014 GTDD v2014.2:

for Ethernet Geomagic Touch devices only (Interface: )

OS: XP/7 (32-bit) and XP/7/8 (64-bit)
PDD v5.1.9:

for Firewire or Parallel devices (Interface:   )
 
OS: XP/7 (32-bit) and XP/7/8 (64-bit) See important note for firewire devices*
v2013 & v4 PDD v5.1.7

for Firewire or Parallel devices (Interface:   )
 
OS: XP/Vista/7 (32 bit & 64 bit)
v2 & v3 PDD v4.2.131

for Firewire or Parallel devices (Interface:   )
 
OS: XP/Vista/7 (32 bit & 64 bit)


 

 

OpenHaptics

v3.4 GTDD v2016.10.13:

for Ethernet Geomagic Touch devices or USB Touch 3D Stylus (Interface:   )
 
OS: 7/8 (64-bit)

 
PDD v5.1.7

for Firewire or Parallel devices (Interface:   )

OS: XP/Vista/7 (32 bit & 64 bit)
v3.2.2 GTDD v2014.2:

for Ethernet Geomagic Touch devices only (Interface: )

OS: XP/7 (32-bit) and XP/7/8 (64-bit)
PDD v5.1.7

for Firewire or Parallel devices (Interface:   )

OS: XP/Vista/7 (32 bit & 64 bit)
v3.0 PDD v4.2.131:

for Firewire or Parallel devices (Interface:   )

OS: XP/Vista/7 (32 bit & 64 bit)
Linux driver is included in the OpenHaptics for Linux package


 


Important Note:

IEEE-1394a compatible Firewire interface is supported for Win 7. However, Win 8 and 10 support is not guaranteed. Microsoft has dropped support for the components in the 1394 drivers which enable legacy mode, something that is often required to assure a particular card functions properly with Omni or PCC converters for parallel port devices.





 

Rating: 18 Votes 7 Yes Votes 38% voted yes
Was this answer helpful?
Provide Feedback on this Topic
Topic Information
  • Topic #: 5605-2377
  • Date Created: 01/16/2014
  • Last Updated: 11/27/2017
  • Viewed: 125655
Legacy Haptic Device Drivers
! ! ! !

Topic 5605-2377

Legacy Haptic Device Drivers

Knowledge Base